<?php

namespace Diamond\Domain\Page\Contracts;


use Diamond\Domain\Site\Contracts\SiteGetterInterface;
use Repo\EntityInterface;

interface PageEntityInterface extends EntityInterface, SiteGetterInterface
{

    /**
     * @return int|null
     */
    public function getId();

    /**
     * @return string|null
     */
    public function getUrl();

    /**
     * @return string|null
     */
    public function getContent();

    /**
     * @return string
     */
    public function getActive();

    /**
     * @return string
     */
    public function getSystem();

    /**
     * @return string|null
     */
    public function getTemplate();
}